// vim: set tw=80 ts=2 sw=2 sts=2:
import { Component, Input, ViewChild } from '@angular/core';

import { NgbActiveModal } from '@ng-bootstrap/ng-bootstrap';

import { Login } from './login';
import { LoginFormComponent } from './loginForm.component';

@Component({
  selector: 'login-modal',
  template: `
<div class="modal-header">
  <h3 class="modal-title" id="modal-title">Authentification requise</h3>
</div>

<div class="modal-body" id="modal-body">
  <login-form (submit)="submit()" #loginForm="loginForm"></login-form>
</div>

<div class="modal-footer">
  <button class="btn btn-primary" [disabled]="!loginForm.form.valid" (click)="submit()">
    Login
  </button>

  <button class="btn btn-default" (click)="cancel()">
    Cancel
  </button>
</div>
  `
})
export class LoginModalComponent {
  @ViewChild('loginForm') loginForm: LoginFormComponent;

  constructor(private activeModal: NgbActiveModal) {
    
  }

  submit(): void {
    let formModel = this.loginForm.form.value;
    let login: Login = new Login();

    login.email = formModel.email;
    login.password = formModel.password;

    this.activeModal.close(login);
  }

  cancel(): void {
    this.activeModal.dismiss("closed");
  }
}
